Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.noding
Class SinglePassNoder

    java.lang.Object
      com.vividsolutions.jts.noding.SinglePassNoder

All Implemented Interfaces:
  Noder

Direct Known Subclasses:
  MCIndexNoder, SimpleNoder

    public abstract class SinglePassNoder

extends java.lang.Object
implements Noder

Base class for `Noder`s which make a single pass to find intersections. This allows using a custom `SegmentIntersector` (which for instance may simply identify intersections, rather than insert them).

Version:
  1.7

Field Summary
`protected SegmentIntersector` | `segInt`

Constructor Summary
`SinglePassNoder()`
`SinglePassNoder(SegmentIntersector segInt)`

Method Summary
`abstract void` | `computeNodes(java.util.Collection segStrings)` Computes the noding for a collection of `SegmentString`s.
`abstract java.util.Collection` | `getNodedSubstrings()` Returns a `Collection` of fully noded `SegmentString`s.
`void` | `setSegmentIntersector(SegmentIntersector segInt)` Sets the SegmentIntersector to use with this noder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### segInt

    protected SegmentIntersector segInt

Constructor Detail

### SinglePassNoder

    public SinglePassNoder()

### SinglePassNoder

    public SinglePassNoder(SegmentIntersector segInt)

Method Detail

### setSegmentIntersector

    public void setSegmentIntersector(SegmentIntersector segInt)

  Sets the SegmentIntersector to use with this noder. A SegmentIntersector will normally add intersection nodes to the input segment strings, but it may not - it may simply record the presence of intersections. However, some Noders may require that intersections be added.

  Parameters:
    `segInt` -

### computeNodes

    public abstract void computeNodes(java.util.Collection segStrings)

  Computes the noding for a collection of `SegmentString`s. Some Noders may add all these nodes to the input SegmentStrings; others may only add some or none at all.

  Specified by:
    `computeNodes` in interface `Noder`
  Parameters:
    `segStrings` - a collection of `SegmentString`s to node

### getNodedSubstrings

    public abstract java.util.Collection getNodedSubstrings()

  Returns a `Collection` of fully noded `SegmentString`s. The SegmentStrings have the same context as their parent.

  Specified by:
    `getNodedSubstrings` in interface `Noder`
  Returns:
    a Collection of SegmentStrings

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD